package core.notevault.ui.gallery.detail;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.fragment.app.Fragment;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import core.notevault.data.Concert;
import core.notevault.databinding.FragmentConcertDetailBinding;

public class ConcertDetailFragment extends Fragment {

    private FragmentConcertDetailBinding binding;
    private Concert concert;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        binding = FragmentConcertDetailBinding.inflate(inflater, container, false);
        int concertId = getArguments().getInt("concertID");
        String concertTitle = getArguments().getString("concertTitle");
        String concertDate = getArguments().getString("concertDate");
        concert = new Concert(concertId, concertTitle, concertDate);

        binding.textConcertDetailsTitle.setText(concertTitle);
        binding.textConcertDetailsDate.setText(concertDate);

        FloatingActionButton fab = binding.addSongConcert;
        fab.setOnClickListener(view -> {
            ConcertSongSelector concertSongSelector = new ConcertSongSelector();

            Bundle bundle = new Bundle();
            bundle.putString("concertTitle", concertTitle);
            bundle.putString("concertDate", concertDate);
            bundle.putInt("concertID", concertId);

            concertSongSelector.setArguments(bundle);

            concertSongSelector.show(getParentFragmentManager(), ConcertSongSelector.TAG);
        });

        return binding.getRoot();
    }


}
