package core.notevault.ui.home;

import android.net.Uri;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import core.notevault.MainActivity;
import core.notevault.data.MusicDatabase;
import core.notevault.data.MusicNote;
import core.notevault.ui.metadatadialog.MetaDataDialog;

import java.util.ArrayList;
import java.util.List;

public class HomeViewModel extends ViewModel {

    private final MutableLiveData<List<MusicNote>> noteTitles;




    public HomeViewModel() {
        noteTitles = new MutableLiveData<>(new ArrayList<>());
    }

    public LiveData<List<MusicNote>> getNoteTitles() {
        return noteTitles;
    }

    public void setNoteTitles(List<MusicNote> noteTitles) {
        this.noteTitles.setValue(noteTitles);
    }


   public void addSong(MusicNote song) {
        List<MusicNote> songs = noteTitles.getValue();
        if(songs != null) {
            songs.add(song);
            this.noteTitles.setValue(songs);
        }
   }

    public void deleteSong(MusicNote musicNote) {
        List<MusicNote> currentSongs = noteTitles.getValue();
        if(currentSongs != null) {
            currentSongs.remove(musicNote);
            noteTitles.setValue(currentSongs);
        }
    }
}